function [fmCO2,fmCO,fmH2,fmH2O,fmO2,fmN2,Rb,mmolarRes]=productos(T,rfuel)

af=8;
bf=18;
R=8.314472d0;
mmolCO2=44.0095e-3;
mmolCO=28.0101e-3;
mmolH2=2.01588e-3;
mmolH2O=18.01528e-3;
mmolO2=31.9988e-3;
mmolN2=28.1610e-3;
mmolarAir=28.9651159e-3;

if rfuel>1
K=exp(2.743e0-1.761e3/T-1.611e6/T^2+0.2803e9/T^3);
	A1=K-1;
	B1=((af*((2-rfuel)*(1-K)+rfuel))/rfuel+(bf*(1-K*(1-rfuel)))/(2*rfuel));
	C1=-((2*af*(2-rfuel)+bf)/(2*rfuel))*af;
	CO2a=(-B1+sqrt(B1**2-4*A1*C1))/(2*A1);
	CO2b=(-B1-sqrt(B1**2-4*A1*C1))/(2*A1);
	if CO2a<af
	CO2=CO2a;
	elseif CO2b<af
	CO2=CO2b;
	end
	CO=af-CO2;
	H2=CO2-((2*af*(2-rfuel)+bf*(1-rfuel))/(2*rfuel));
	H2O=((2*af*(2-rfuel)+bf)/(2*rfuel))-CO2;
	O2=0;
	N2=3.773*(4*af+bf)/(4*rfuel);
elseif rfuel<=1
	CO2=af;
	CO=0;
	H2=0;
	H2O=bf/2;
	O2=((1-rfuel)*(4*af+bf))/(4*rfuel);
	N2=3.773*(4*af+bf)/(4*rfuel);
end

alfa=(4*af+bf)/(4*rfuel);
mt=CO2*mmolCO2+CO*mmolCO+H2*mmolH2+H2O*mmolH2O+O2*mmolO2+N2*mmolN2;
fmCO2=CO2*mmolCO2/mt;
fmCO=CO*mmolCO/mt;
fmH2=H2*mmolH2/mt;
fmH2O=H2O*mmolH2O/mt;
fmO2=O2*mmolO2/mt;
fmN2=N2*mmolN2/mt;

Rb=R*(fmCO2/mmolCO2+fmCO/mmolCO+fmH2/mmolH2+fmH2O/mmolH2O+fmO2/mmolO2+fmN2/mmolN2);

mmolarRes=mt/(CO+CO2+H2+H2O+N2+O2);
